<?php

namespace Litepie\Master;

use DB;
use Illuminate\Database\Seeder;

class MediatypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('mediatypes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'master.mediatype.view',
                'name'      => 'View Mediatype',
            ],
            [
                'slug'      => 'master.mediatype.create',
                'name'      => 'Create Mediatype',
            ],
            [
                'slug'      => 'master.mediatype.edit',
                'name'      => 'Update Mediatype',
            ],
            [
                'slug'      => 'master.mediatype.delete',
                'name'      => 'Delete Mediatype',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/master/mediatype',
                'name'        => 'Mediatype',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/master/mediatype',
                'name'        => 'Mediatype',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'mediatype',
                'name'        => 'Mediatype',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Master',
                'module'    => 'Mediatype',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'master.mediatype.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
