<?php

namespace Litepie\Masters;

use DB;
use Illuminate\Database\Seeder;

class StatusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('statuses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'masters.status.view',
                'name'      => 'View Status',
            ],
            [
                'slug'      => 'masters.status.create',
                'name'      => 'Create Status',
            ],
            [
                'slug'      => 'masters.status.edit',
                'name'      => 'Update Status',
            ],
            [
                'slug'      => 'masters.status.delete',
                'name'      => 'Delete Status',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/masters/status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/masters/status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'status',
                'name'        => 'Status',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Masters',
                'module'    => 'Status',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'masters.status.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
