    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('masters::linkinfo.name') !!}</a></li>
            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#masters-linkinfo-entry' data-href='{{guard_url('masters/linkinfo/create')}}'><i class="fa fa-plus-circle"></i> {{ trans('app.new') }}</button>
                @if($linkinfo->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#masters-linkinfo-entry' data-href='{{ guard_url('masters/linkinfo') }}/{{$linkinfo->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#masters-linkinfo-entry' data-datatable='#masters-linkinfo-list' data-href='{{ guard_url('masters/linkinfo') }}/{{$linkinfo->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('masters-linkinfo-show')
        ->method('POST')
        ->files('true')
        ->action(guard_url('masters/linkinfo'))!!}
            <div class="tab-content clearfix disabled">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('masters::linkinfo.name') !!}  [{!! $linkinfo->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('masters::admin.linkinfo.partial.entry', ['mode' => 'show'])
                </div>
            </div>
        {!! Form::close() !!}
    </div>