    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#mediatype" data-toggle="tab">{!! trans('master::mediatype.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#master-mediatype-edit'  data-load-to='#master-mediatype-entry' data-datatable='#master-mediatype-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#master-mediatype-entry' data-href='{{guard_url('master/mediatype')}}/{{$mediatype->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('master-mediatype-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('master/mediatype/'. $mediatype->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="mediatype">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('master::mediatype.name') !!} [{!!$mediatype->name!!}] </div>
                @include('master::admin.mediatype.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>