    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#status" data-toggle="tab">{!! trans('masters::status.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#masters-status-edit'  data-load-to='#masters-status-entry' data-datatable='#masters-status-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#masters-status-entry' data-href='{{guard_url('masters/status')}}/{{$status->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('masters-status-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('masters/status/'. $status->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="status">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('masters::status.name') !!} [{!!$status->name!!}] </div>
                @include('masters::admin.status.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>