<?php

// web routes  for distributionarea
Route::prefix('{guard}/masters')->group(function () {
    Route::resource('distributionarea', 'DistributionareaResourceController');
});

// Public routes for distributionarea
Route::get('masters/', 'DistributionareaPublicController@index');
Route::get('masters/{slug?}', 'DistributionareaPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DistributionareaResourceController');
            });
            // Public routes for pages
            Route::get('masters/', 'DistributionareaPublicController@index');
            Route::get('masters/{slug?}', 'DistributionareaPublicController@show');
        }
    );
}


// web routes  for targetgroup
Route::prefix('{guard}/masters')->group(function () {
    Route::resource('targetgroup', 'TargetgroupResourceController');
});

// Public routes for targetgroup
Route::get('masters/', 'TargetgroupPublicController@index');
Route::get('masters/{slug?}', 'TargetgroupPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TargetgroupResourceController');
            });
            // Public routes for pages
            Route::get('masters/', 'TargetgroupPublicController@index');
            Route::get('masters/{slug?}', 'TargetgroupPublicController@show');
        }
    );
}


// web routes  for linkinfo
Route::prefix('{guard}/masters')->group(function () {
    Route::resource('linkinfo', 'LinkinfoResourceController');
});

// Public routes for linkinfo
Route::get('masters/', 'LinkinfoPublicController@index');
Route::get('masters/{slug?}', 'LinkinfoPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LinkinfoResourceController');
            });
            // Public routes for pages
            Route::get('masters/', 'LinkinfoPublicController@index');
            Route::get('masters/{slug?}', 'LinkinfoPublicController@show');
        }
    );
}


// web routes  for status
Route::prefix('{guard}/masters')->group(function () {
    Route::resource('status', 'StatusResourceController');
});

// Public routes for status
Route::get('masters/', 'StatusPublicController@index');
Route::get('masters/{slug?}', 'StatusPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StatusResourceController');
            });
            // Public routes for pages
            Route::get('masters/', 'StatusPublicController@index');
            Route::get('masters/{slug?}', 'StatusPublicController@show');
        }
    );
}


// web routes  for mediatype
Route::prefix('{guard}/masters')->group(function () {
    Route::resource('mediatype', 'MediatypeResourceController');
});

// Public routes for mediatype
Route::get('masters/', 'MediatypePublicController@index');
Route::get('masters/{slug?}', 'MediatypePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MediatypeResourceController');
            });
            // Public routes for pages
            Route::get('masters/', 'MediatypePublicController@index');
            Route::get('masters/{slug?}', 'MediatypePublicController@show');
        }
    );
}

