<?php

namespace Litepie\Masters\Repositories\Eloquent;

use Litepie\Masters\Interfaces\DistributionareaRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DistributionareaRepository extends BaseRepository implements DistributionareaRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.masters.distributionarea.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.masters.distributionarea.model.model');
    }
}
