<?php

namespace Litepie\Master\Repositories\Eloquent;

use Litepie\Master\Interfaces\MediatypeRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MediatypeRepository extends BaseRepository implements MediatypeRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.master.mediatype.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.master.mediatype.model.model');
    }
}
